Create a package
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/builds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"property_id": "LT-EMPTY123",
"quick_listing": "1",
"design_uid": "BD-1234",
"facade_uid": "FA-6033378"
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/builds"
payload = {
"property_id": "LT-EMPTY123",
"quick_listing": "1",
"design_uid": "BD-1234",
"facade_uid": "FA-6033378"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
property_id: 'LT-EMPTY123',
quick_listing: '1',
design_uid: 'BD-1234',
facade_uid: 'FA-6033378'
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/builds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'property_id' => 'LT-EMPTY123',
'quick_listing' => '1',
'design_uid' => 'BD-1234',
'facade_uid' => 'FA-6033378'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/builds"
payload := strings.NewReader("{\n \"property_id\": \"LT-EMPTY123\",\n \"quick_listing\": \"1\",\n \"design_uid\": \"BD-1234\",\n \"facade_uid\": \"FA-6033378\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/builds")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"property_id\": \"LT-EMPTY123\",\n \"quick_listing\": \"1\",\n \"design_uid\": \"BD-1234\",\n \"facade_uid\": \"FA-6033378\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/builds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"property_id\": \"LT-EMPTY123\",\n \"quick_listing\": \"1\",\n \"design_uid\": \"BD-1234\",\n \"facade_uid\": \"FA-6033378\"\n}"
response = http.request(request)
puts response.read_body{
"build": {
"public_uid": "BP-3089541",
"property_uid": "LT-EMPTY123",
"design_uid": "BD-1234",
"design_name": "KENEKT DESIGN",
"facade_uid": "FA-6033378",
"facade_name": "Second Facade",
"headline": "Property Package",
"build_status": "available",
"quick_listing": false,
"total_price": 3500,
"site_cost_loading": 0,
"rental_from": 0,
"rental_to": 0,
"rental_period": "per week",
"open_distribution": true,
"bdm_uid": "USR-DEFAULT-001",
"photos_count": 0,
"documents_count": 0,
"incentives": [],
"url": "https://app.kenekt.com.au/AG-1234/builds/BP-3089541/edit"
}
}{
"error": "Provide quick_listing OR both design_uid and facade_uid"
}Stock / Packages
Create a package
Creates a package on a lot, from a design and facade or as a quick listing.
POST
/
{agency_uid}
/
builds
Create a package
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/builds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"property_id": "LT-EMPTY123",
"quick_listing": "1",
"design_uid": "BD-1234",
"facade_uid": "FA-6033378"
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/builds"
payload = {
"property_id": "LT-EMPTY123",
"quick_listing": "1",
"design_uid": "BD-1234",
"facade_uid": "FA-6033378"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
property_id: 'LT-EMPTY123',
quick_listing: '1',
design_uid: 'BD-1234',
facade_uid: 'FA-6033378'
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/builds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'property_id' => 'LT-EMPTY123',
'quick_listing' => '1',
'design_uid' => 'BD-1234',
'facade_uid' => 'FA-6033378'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/builds"
payload := strings.NewReader("{\n \"property_id\": \"LT-EMPTY123\",\n \"quick_listing\": \"1\",\n \"design_uid\": \"BD-1234\",\n \"facade_uid\": \"FA-6033378\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/builds")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"property_id\": \"LT-EMPTY123\",\n \"quick_listing\": \"1\",\n \"design_uid\": \"BD-1234\",\n \"facade_uid\": \"FA-6033378\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/builds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"property_id\": \"LT-EMPTY123\",\n \"quick_listing\": \"1\",\n \"design_uid\": \"BD-1234\",\n \"facade_uid\": \"FA-6033378\"\n}"
response = http.request(request)
puts response.read_body{
"build": {
"public_uid": "BP-3089541",
"property_uid": "LT-EMPTY123",
"design_uid": "BD-1234",
"design_name": "KENEKT DESIGN",
"facade_uid": "FA-6033378",
"facade_name": "Second Facade",
"headline": "Property Package",
"build_status": "available",
"quick_listing": false,
"total_price": 3500,
"site_cost_loading": 0,
"rental_from": 0,
"rental_to": 0,
"rental_period": "per week",
"open_distribution": true,
"bdm_uid": "USR-DEFAULT-001",
"photos_count": 0,
"documents_count": 0,
"incentives": [],
"url": "https://app.kenekt.com.au/AG-1234/builds/BP-3089541/edit"
}
}{
"error": "Provide quick_listing OR both design_uid and facade_uid"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Agency public_uid
Body
application/json
Response
Created
Show child attributes
Show child attributes